// Version: $Id: 91e7f333d999d99b2a6c874b91029434f0786223 $
//
//

// Commentary:
//
//

// Change Log:
//
//

// Code:

#pragma once

#include <dtkTest>


class dtkObjectManagerTestCasePrivate;

class dtkObjectManagerTestCase : public QObject
{
    Q_OBJECT

public:
             dtkObjectManagerTestCase(void);
    virtual ~dtkObjectManagerTestCase(void);

private slots:
    void initTestCase(void);
    void init(void);

private slots:
    void testCount(void);
    void testValue(void);
    void testKeys(void);
    void testDel(void);

private slots:
    void cleanupTestCase(void);
    void cleanup(void);

private:
    dtkObjectManagerTestCasePrivate *d;
};

//
// dtkObjectManagerTest.h ends here
